project:
  name: project
  collection: vmmigration.projects
  attributes:
  - &project
    parameter_name: projectsId
    attribute_name: project
    help: Project ID.
    property: core/project
  disable_auto_completers: false

location:
  name: location
  collection: vmmigration.projects.locations
  attributes:
  - *project
  - &location
    parameter_name: locationsId
    attribute_name: location
    help: Resource location.
    property: compute/region
  disable_auto_completers: false

locationDefaultGlobal:
  name: location
  collection: vmmigration.projects.locations
  attributes:
  - *project
  - &locationDefaultGlobal
    parameter_name: locationsId
    attribute_name: location
    help: Resource location.
    fallthroughs:
    - hook: googlecloudsdk.command_lib.migration.vms.hooks:SetLocationAsGlobal
      hint: use global location

imageImport:
  name: image_import
  collection: vmmigration.projects.locations.imageImports
  request_id_field: imageImportId
  attributes:
  - *project
  - *location
  - parameter_name: imageImportsId
    attribute_name: image_import_name
    help: The Image Import ID.
  disable_auto_completers: false

targetProject:
  name: target_project
  collection: vmmigration.projects.locations.targetProjects
  request_id_field: targetProjectId
  attributes:
  - *project
  - *locationDefaultGlobal
  - parameter_name: targetProjectsId
    attribute_name: target_project
    help: The target project ID.
  disable_auto_completers: false

source:
  name: source
  collection: vmmigration.projects.locations.sources
  attributes:
  - *project
  - *location
  - &source
    parameter_name: sourcesId
    attribute_name: source
    help: The client source environment object.
  disable_auto_completers: false

diskMigration:
  name: disk_migration
  collection: vmmigration.projects.locations.sources.diskMigrationJobs
  request_id_field: diskMigrationJobId
  attributes:
  - *project
  - *location
  - *source
  - &diskMigration
    parameter_name: diskMigrationJobsId
    attribute_name: disk_migration
    help: The Disk Migration ID.
  disable_auto_completers: false
